<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Vue Events</h1>
    </header>
    <section id="events">
      <h2>Events in Action</h2>
      <button v-on:click="add(7)">Add 7</button>
      <button v-on:click.right="reduce(7)">Reduce 7</button>
      <p v-once>Starting Counter: {{ counter }}</p>
      <p>Result: {{ counter }}</p>
      <input type="text" v-on:input="handleNameInput($event, 'User')" v-on:keyup.enter="confirmInput"/>
      <p>Your Name: {{ confirmedName }}</p>
      <form v-on:submit.prevent="submitForm">
        <input type="text" name="" id="">
        <button>Sign Up</button>
      </form>
      <p v-once>Initial time: {{ time }}</p>
      <p>Current time: {{ time }}</p>
      <button v-on:click="startTimer">Start</button>
      <button v-on:click="stopTimer">Stop</button>
    </section>
  </body>
</html>
